> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add session details to account

> Add session details (chain IDs, session digests, and signature) to an existing account



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/deposit-service.json post /account/{address}/session
openapi: 3.1.0
info:
  title: Deposit Service API
  version: 1.0.0
  description: >-
    Cross-chain deposit processing service with automatic token bridging and gas
    sponsorship
servers:
  - url: https://v1.orchestrator.rhinestone.dev/deposit-processor
security: []
paths:
  /account/{address}/session:
    post:
      tags:
        - Accounts
      summary: Add session details to account
      description: >-
        Add session details (chain IDs, session digests, and signature) to an
        existing account
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: Ethereum address (0x followed by 40 hex characters)
            example: '0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91'
          required: true
          description: Ethereum address (0x followed by 40 hex characters)
          name: address
          in: path
        - schema:
            type: string
            description: API key for authentication
            example: your-api-key
          required: true
          description: API key for authentication
          name: x-api-key
          in: header
        - schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version identifier (e.g. "2026-04.amazon"). Optional today,
              will become required in a future release.
            example: 2026-04.amazon
          required: false
          description: >-
            API version identifier (e.g. "2026-04.amazon"). Optional today, will
            become required in a future release.
          name: x-api-version
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionRequestBody'
      responses:
        '200':
          description: Session added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
        '400':
          description: Invalid request or account not registered
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            Unauthorized - API key does not belong to the client that registered
            the account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SessionRequestBody:
      type: object
      properties:
        sessionDetails:
          $ref: '#/components/schemas/EnableSessionDetails'
      required:
        - sessionDetails
    SessionResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
              code:
                type: string
            required:
              - message
      required:
        - error
    EnableSessionDetails:
      type: object
      properties:
        hashesAndChainIds:
          type: array
          items:
            type: object
            properties:
              chainId:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                description: Positive integer
                example: 1
              sessionDigest:
                type: string
                pattern: ^0x[a-fA-F0-9]+$
                description: Hex-encoded string (0x followed by hex characters)
                example: '0x1234abcd'
            required:
              - chainId
              - sessionDigest
        signature:
          type: string
          pattern: ^0x[a-fA-F0-9]+$
          description: Hex-encoded string (0x followed by hex characters)
          example: '0x1234abcd'
      required:
        - hashesAndChainIds
        - signature

````